<style>
    table.table td {
        padding-top: 0.1rem;
        padding-bottom: 0.3rem;
    }
</style>
<div class="container">

    <div>
        <button type="button" class="btn btn-primary" data-toggle="modal" (click)="getParameterConfigDetails()"
                data-target="#add">Add Lesser Type
        </button>
    </div>

    <!-- {{mainAsset}}&#45;&#45;&#45;&#45;&#45;&#45;&#45;&#45;&#45;&#45;&#45;&#45;&#45;&#45;{{assetConfigName}}-->

    <div class="row">
        <table class="table table-bordered">
            <thead>
            <tr>
                <th>FuelType</th>
                <th>FuelDesp</th>
                <th>EDIT</th>
                <th>DELETE</th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let asset of allLessorType">
                <td>{{asset.lessorType}}</td>
                <td>{{asset.LessorTypeDesp}}</td>
                <td>
                    <button type="button" class="btn btn-primary" data-toggle="modal"
                            (click)="getEditConfiguration(asset)" data-target="#edit">Edit
                    </button>
                </td>
                <td>
                    <button type="button" class="btn btn-primary" data-toggle="modal"
                            (click)="deleteFuelTypeConfiguration(asset)">Delete
                    </button>
                </td>

            </tr>
            </tbody>
        </table>
    </div>
    <div class="col-md-12  col-sm-12 d-flex justify-content-center" style="margin-top: 10px" *ngIf="allAssets.length>0">
        <ngb-pagination class="d-flex justify-content-center "
                        [collectionSize]="pagination.totalPageCount"
                        [(page)]="pagination.currentPage" [maxSize]="3"
                        [rotate]="true"
                        [boundaryLinks]="true"
                        (pageChange)="getDataByPageNo($event)"
                        [pageSize]="pagination.recordsPerPage"
                        aria-label="Default pagination">

        </ngb-pagination>
    </div>

</div>


<!-- Modal -->
<div id="add" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">add</h4>
            </div>
            <div class="modal-body">

                <app-asset-form [formConfigData]="assetFromConfig" [mainStatusAsset]="mainAsset"
                                [assetParameterConfigName]="assetConfigName"
                                (savedAssetConfig)="savedAssetCardToAssetList($event)"></app-asset-form>
            </div>
           <!-- <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>-->
        </div>

    </div>
</div>


<!-- Modal -->
<div id="edit" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">edit</h4>
            </div>
            <div class="modal-body">
                <app-asset-edit-from [formConfigData]="assetFromConfig" [mainStatusAsset]="mainAsset"
                                     [mainStatusAsset]="mainAsset"
                                     [assetId]="assetId" [assetConfigParameterType]="assetConfigParameterType"
                                     (updateAssetConfig)="updateAssetCardToAssetList($event)"></app-asset-edit-from>
            </div>
           <!-- <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>-->
        </div>

    </div>
</div>
